Subject: Re: bug#41522: 26.3; Narrowing can prevent syntax propertization
From: Dmitry Gutov <[email-masked]>
To: Ikumi Keita <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 May 2020 01:12:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 25.05.2020 20:02, Ikumi Keita wrote:
> I suppose that this means that the code should call syntax-ppss (or
> something like it) "before" narrowing is done, right?

Or call (syntax-ppss-flush-cache (point-min)) afterward.

 > Hmm, then elisp programmers have to check whether each function used 
in the code uses narrowing+syntactic functions inside it if this kind of
problem happens. I feel it a bit troublesome but at the same time I 
understand it is very difficult to solve this problem cleanly.

One has to be careful with narrowing. It's an old problem.

 > OK, I try to be aware of this matter afterwards. Thanks for your
advice!

Welcome!